(ESMFold2) Folds molecular complexes containing proteins, dna, rna, and ligands. Defaults to esmfold2-fast-2026-05 if no model is given
curl --request POST \
--url https://biohub.ai/api/v1/fold_all_atom \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"potential_sequence_of_concern": false,
"sequence": "<string>",
"msa": {
"sequences": [
"<string>"
],
"deletions": [
[
123
]
]
},
"num_loops": 20,
"num_sampling_steps": 100,
"lm_dropout": 0.3,
"lm_mask_pct": 0,
"msa_max_depth": 1024,
"msa_column_mask_rate": 0.1,
"include_distogram": false,
"include_pae": false,
"include_pair_chains_iptm": false,
"all_atom_input": {
"sequences": [
{
"sequence": "<string>",
"type": "protein",
"id": "<string>",
"msa": {
"sequences": [
"<string>"
],
"deletions": [
[
123
]
]
},
"modifications": [
{
"position": 123,
"ccd": "<string>"
}
]
}
],
"covalent_bonds": [
{
"chain_id1": "<string>",
"res_idx1": 123,
"atom_idx1": 123,
"chain_id2": "<string>",
"res_idx2": 123,
"atom_idx2": 123
}
],
"pocket": {
"binder_chain_id": "<string>",
"contacts": [
[
"<string>",
123
]
]
},
"distogram_conditioning": [
{
"chain_id": "<string>"
}
]
},
"include_embeddings": false
}
'import requests
url = "https://biohub.ai/api/v1/fold_all_atom"
payload = {
"potential_sequence_of_concern": False,
"sequence": "<string>",
"msa": {
"sequences": ["<string>"],
"deletions": [[123]]
},
"num_loops": 20,
"num_sampling_steps": 100,
"lm_dropout": 0.3,
"lm_mask_pct": 0,
"msa_max_depth": 1024,
"msa_column_mask_rate": 0.1,
"include_distogram": False,
"include_pae": False,
"include_pair_chains_iptm": False,
"all_atom_input": {
"sequences": [
{
"sequence": "<string>",
"type": "protein",
"id": "<string>",
"msa": {
"sequences": ["<string>"],
"deletions": [[123]]
},
"modifications": [
{
"position": 123,
"ccd": "<string>"
}
]
}
],
"covalent_bonds": [
{
"chain_id1": "<string>",
"res_idx1": 123,
"atom_idx1": 123,
"chain_id2": "<string>",
"res_idx2": 123,
"atom_idx2": 123
}
],
"pocket": {
"binder_chain_id": "<string>",
"contacts": [["<string>", 123]]
},
"distogram_conditioning": [{ "chain_id": "<string>" }]
},
"include_embeddings": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
potential_sequence_of_concern: false,
sequence: '<string>',
msa: {sequences: ['<string>'], deletions: [[123]]},
num_loops: 20,
num_sampling_steps: 100,
lm_dropout: 0.3,
lm_mask_pct: 0,
msa_max_depth: 1024,
msa_column_mask_rate: 0.1,
include_distogram: false,
include_pae: false,
include_pair_chains_iptm: false,
all_atom_input: {
sequences: [
{
sequence: '<string>',
type: 'protein',
id: '<string>',
msa: {sequences: ['<string>'], deletions: [[123]]},
modifications: [{position: 123, ccd: '<string>'}]
}
],
covalent_bonds: [
{
chain_id1: '<string>',
res_idx1: 123,
atom_idx1: 123,
chain_id2: '<string>',
res_idx2: 123,
atom_idx2: 123
}
],
pocket: {binder_chain_id: '<string>', contacts: [['<string>', 123]]},
distogram_conditioning: [{chain_id: '<string>'}]
},
include_embeddings: false
})
};
fetch('https://biohub.ai/api/v1/fold_all_atom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://biohub.ai/api/v1/fold_all_atom",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'potential_sequence_of_concern' => false,
'sequence' => '<string>',
'msa' => [
'sequences' => [
'<string>'
],
'deletions' => [
[
123
]
]
],
'num_loops' => 20,
'num_sampling_steps' => 100,
'lm_dropout' => 0.3,
'lm_mask_pct' => 0,
'msa_max_depth' => 1024,
'msa_column_mask_rate' => 0.1,
'include_distogram' => false,
'include_pae' => false,
'include_pair_chains_iptm' => false,
'all_atom_input' => [
'sequences' => [
[
'sequence' => '<string>',
'type' => 'protein',
'id' => '<string>',
'msa' => [
'sequences' => [
'<string>'
],
'deletions' => [
[
123
]
]
],
'modifications' => [
[
'position' => 123,
'ccd' => '<string>'
]
]
]
],
'covalent_bonds' => [
[
'chain_id1' => '<string>',
'res_idx1' => 123,
'atom_idx1' => 123,
'chain_id2' => '<string>',
'res_idx2' => 123,
'atom_idx2' => 123
]
],
'pocket' => [
'binder_chain_id' => '<string>',
'contacts' => [
[
'<string>',
123
]
]
],
'distogram_conditioning' => [
[
'chain_id' => '<string>'
]
]
],
'include_embeddings' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://biohub.ai/api/v1/fold_all_atom"
payload := strings.NewReader("{\n \"potential_sequence_of_concern\": false,\n \"sequence\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"num_loops\": 20,\n \"num_sampling_steps\": 100,\n \"lm_dropout\": 0.3,\n \"lm_mask_pct\": 0,\n \"msa_max_depth\": 1024,\n \"msa_column_mask_rate\": 0.1,\n \"include_distogram\": false,\n \"include_pae\": false,\n \"include_pair_chains_iptm\": false,\n \"all_atom_input\": {\n \"sequences\": [\n {\n \"sequence\": \"<string>\",\n \"type\": \"protein\",\n \"id\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"modifications\": [\n {\n \"position\": 123,\n \"ccd\": \"<string>\"\n }\n ]\n }\n ],\n \"covalent_bonds\": [\n {\n \"chain_id1\": \"<string>\",\n \"res_idx1\": 123,\n \"atom_idx1\": 123,\n \"chain_id2\": \"<string>\",\n \"res_idx2\": 123,\n \"atom_idx2\": 123\n }\n ],\n \"pocket\": {\n \"binder_chain_id\": \"<string>\",\n \"contacts\": [\n [\n \"<string>\",\n 123\n ]\n ]\n },\n \"distogram_conditioning\": [\n {\n \"chain_id\": \"<string>\"\n }\n ]\n },\n \"include_embeddings\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://biohub.ai/api/v1/fold_all_atom")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"potential_sequence_of_concern\": false,\n \"sequence\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"num_loops\": 20,\n \"num_sampling_steps\": 100,\n \"lm_dropout\": 0.3,\n \"lm_mask_pct\": 0,\n \"msa_max_depth\": 1024,\n \"msa_column_mask_rate\": 0.1,\n \"include_distogram\": false,\n \"include_pae\": false,\n \"include_pair_chains_iptm\": false,\n \"all_atom_input\": {\n \"sequences\": [\n {\n \"sequence\": \"<string>\",\n \"type\": \"protein\",\n \"id\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"modifications\": [\n {\n \"position\": 123,\n \"ccd\": \"<string>\"\n }\n ]\n }\n ],\n \"covalent_bonds\": [\n {\n \"chain_id1\": \"<string>\",\n \"res_idx1\": 123,\n \"atom_idx1\": 123,\n \"chain_id2\": \"<string>\",\n \"res_idx2\": 123,\n \"atom_idx2\": 123\n }\n ],\n \"pocket\": {\n \"binder_chain_id\": \"<string>\",\n \"contacts\": [\n [\n \"<string>\",\n 123\n ]\n ]\n },\n \"distogram_conditioning\": [\n {\n \"chain_id\": \"<string>\"\n }\n ]\n },\n \"include_embeddings\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://biohub.ai/api/v1/fold_all_atom")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"potential_sequence_of_concern\": false,\n \"sequence\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"num_loops\": 20,\n \"num_sampling_steps\": 100,\n \"lm_dropout\": 0.3,\n \"lm_mask_pct\": 0,\n \"msa_max_depth\": 1024,\n \"msa_column_mask_rate\": 0.1,\n \"include_distogram\": false,\n \"include_pae\": false,\n \"include_pair_chains_iptm\": false,\n \"all_atom_input\": {\n \"sequences\": [\n {\n \"sequence\": \"<string>\",\n \"type\": \"protein\",\n \"id\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"modifications\": [\n {\n \"position\": 123,\n \"ccd\": \"<string>\"\n }\n ]\n }\n ],\n \"covalent_bonds\": [\n {\n \"chain_id1\": \"<string>\",\n \"res_idx1\": 123,\n \"atom_idx1\": 123,\n \"chain_id2\": \"<string>\",\n \"res_idx2\": 123,\n \"atom_idx2\": 123\n }\n ],\n \"pocket\": {\n \"binder_chain_id\": \"<string>\",\n \"contacts\": [\n [\n \"<string>\",\n 123\n ]\n ]\n },\n \"distogram_conditioning\": [\n {\n \"chain_id\": \"<string>\"\n }\n ]\n },\n \"include_embeddings\": false\n}"
response = http.request(request)
puts response.read_body{
"model": "esm3-open-2024-03",
"created": "<string>",
"potential_sequence_of_concern": false,
"warning_messages": [
"<string>"
],
"coordinates": [
[
[
123
]
]
],
"complex": {},
"plddt": [
123
],
"ptm": 123,
"interface_ptm": 123,
"pae": [
[
123
]
],
"pair_chains_iptm": [
[
123
]
],
"output_embedding_sequence": [
[
123
]
],
"output_embedding_pair_pooled": [
[
123
]
],
"residue_index": [
123
],
"entity_id": [
123
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Protein Models
fold_all_atom
(ESMFold2) Folds molecular complexes containing proteins, dna, rna, and ligands. Defaults to esmfold2-fast-2026-05 if no model is given
POST
/
api
/
v1
/
fold_all_atom
(ESMFold2) Folds molecular complexes containing proteins, dna, rna, and ligands. Defaults to esmfold2-fast-2026-05 if no model is given
curl --request POST \
--url https://biohub.ai/api/v1/fold_all_atom \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"potential_sequence_of_concern": false,
"sequence": "<string>",
"msa": {
"sequences": [
"<string>"
],
"deletions": [
[
123
]
]
},
"num_loops": 20,
"num_sampling_steps": 100,
"lm_dropout": 0.3,
"lm_mask_pct": 0,
"msa_max_depth": 1024,
"msa_column_mask_rate": 0.1,
"include_distogram": false,
"include_pae": false,
"include_pair_chains_iptm": false,
"all_atom_input": {
"sequences": [
{
"sequence": "<string>",
"type": "protein",
"id": "<string>",
"msa": {
"sequences": [
"<string>"
],
"deletions": [
[
123
]
]
},
"modifications": [
{
"position": 123,
"ccd": "<string>"
}
]
}
],
"covalent_bonds": [
{
"chain_id1": "<string>",
"res_idx1": 123,
"atom_idx1": 123,
"chain_id2": "<string>",
"res_idx2": 123,
"atom_idx2": 123
}
],
"pocket": {
"binder_chain_id": "<string>",
"contacts": [
[
"<string>",
123
]
]
},
"distogram_conditioning": [
{
"chain_id": "<string>"
}
]
},
"include_embeddings": false
}
'import requests
url = "https://biohub.ai/api/v1/fold_all_atom"
payload = {
"potential_sequence_of_concern": False,
"sequence": "<string>",
"msa": {
"sequences": ["<string>"],
"deletions": [[123]]
},
"num_loops": 20,
"num_sampling_steps": 100,
"lm_dropout": 0.3,
"lm_mask_pct": 0,
"msa_max_depth": 1024,
"msa_column_mask_rate": 0.1,
"include_distogram": False,
"include_pae": False,
"include_pair_chains_iptm": False,
"all_atom_input": {
"sequences": [
{
"sequence": "<string>",
"type": "protein",
"id": "<string>",
"msa": {
"sequences": ["<string>"],
"deletions": [[123]]
},
"modifications": [
{
"position": 123,
"ccd": "<string>"
}
]
}
],
"covalent_bonds": [
{
"chain_id1": "<string>",
"res_idx1": 123,
"atom_idx1": 123,
"chain_id2": "<string>",
"res_idx2": 123,
"atom_idx2": 123
}
],
"pocket": {
"binder_chain_id": "<string>",
"contacts": [["<string>", 123]]
},
"distogram_conditioning": [{ "chain_id": "<string>" }]
},
"include_embeddings": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
potential_sequence_of_concern: false,
sequence: '<string>',
msa: {sequences: ['<string>'], deletions: [[123]]},
num_loops: 20,
num_sampling_steps: 100,
lm_dropout: 0.3,
lm_mask_pct: 0,
msa_max_depth: 1024,
msa_column_mask_rate: 0.1,
include_distogram: false,
include_pae: false,
include_pair_chains_iptm: false,
all_atom_input: {
sequences: [
{
sequence: '<string>',
type: 'protein',
id: '<string>',
msa: {sequences: ['<string>'], deletions: [[123]]},
modifications: [{position: 123, ccd: '<string>'}]
}
],
covalent_bonds: [
{
chain_id1: '<string>',
res_idx1: 123,
atom_idx1: 123,
chain_id2: '<string>',
res_idx2: 123,
atom_idx2: 123
}
],
pocket: {binder_chain_id: '<string>', contacts: [['<string>', 123]]},
distogram_conditioning: [{chain_id: '<string>'}]
},
include_embeddings: false
})
};
fetch('https://biohub.ai/api/v1/fold_all_atom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://biohub.ai/api/v1/fold_all_atom",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'potential_sequence_of_concern' => false,
'sequence' => '<string>',
'msa' => [
'sequences' => [
'<string>'
],
'deletions' => [
[
123
]
]
],
'num_loops' => 20,
'num_sampling_steps' => 100,
'lm_dropout' => 0.3,
'lm_mask_pct' => 0,
'msa_max_depth' => 1024,
'msa_column_mask_rate' => 0.1,
'include_distogram' => false,
'include_pae' => false,
'include_pair_chains_iptm' => false,
'all_atom_input' => [
'sequences' => [
[
'sequence' => '<string>',
'type' => 'protein',
'id' => '<string>',
'msa' => [
'sequences' => [
'<string>'
],
'deletions' => [
[
123
]
]
],
'modifications' => [
[
'position' => 123,
'ccd' => '<string>'
]
]
]
],
'covalent_bonds' => [
[
'chain_id1' => '<string>',
'res_idx1' => 123,
'atom_idx1' => 123,
'chain_id2' => '<string>',
'res_idx2' => 123,
'atom_idx2' => 123
]
],
'pocket' => [
'binder_chain_id' => '<string>',
'contacts' => [
[
'<string>',
123
]
]
],
'distogram_conditioning' => [
[
'chain_id' => '<string>'
]
]
],
'include_embeddings' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://biohub.ai/api/v1/fold_all_atom"
payload := strings.NewReader("{\n \"potential_sequence_of_concern\": false,\n \"sequence\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"num_loops\": 20,\n \"num_sampling_steps\": 100,\n \"lm_dropout\": 0.3,\n \"lm_mask_pct\": 0,\n \"msa_max_depth\": 1024,\n \"msa_column_mask_rate\": 0.1,\n \"include_distogram\": false,\n \"include_pae\": false,\n \"include_pair_chains_iptm\": false,\n \"all_atom_input\": {\n \"sequences\": [\n {\n \"sequence\": \"<string>\",\n \"type\": \"protein\",\n \"id\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"modifications\": [\n {\n \"position\": 123,\n \"ccd\": \"<string>\"\n }\n ]\n }\n ],\n \"covalent_bonds\": [\n {\n \"chain_id1\": \"<string>\",\n \"res_idx1\": 123,\n \"atom_idx1\": 123,\n \"chain_id2\": \"<string>\",\n \"res_idx2\": 123,\n \"atom_idx2\": 123\n }\n ],\n \"pocket\": {\n \"binder_chain_id\": \"<string>\",\n \"contacts\": [\n [\n \"<string>\",\n 123\n ]\n ]\n },\n \"distogram_conditioning\": [\n {\n \"chain_id\": \"<string>\"\n }\n ]\n },\n \"include_embeddings\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://biohub.ai/api/v1/fold_all_atom")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"potential_sequence_of_concern\": false,\n \"sequence\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"num_loops\": 20,\n \"num_sampling_steps\": 100,\n \"lm_dropout\": 0.3,\n \"lm_mask_pct\": 0,\n \"msa_max_depth\": 1024,\n \"msa_column_mask_rate\": 0.1,\n \"include_distogram\": false,\n \"include_pae\": false,\n \"include_pair_chains_iptm\": false,\n \"all_atom_input\": {\n \"sequences\": [\n {\n \"sequence\": \"<string>\",\n \"type\": \"protein\",\n \"id\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"modifications\": [\n {\n \"position\": 123,\n \"ccd\": \"<string>\"\n }\n ]\n }\n ],\n \"covalent_bonds\": [\n {\n \"chain_id1\": \"<string>\",\n \"res_idx1\": 123,\n \"atom_idx1\": 123,\n \"chain_id2\": \"<string>\",\n \"res_idx2\": 123,\n \"atom_idx2\": 123\n }\n ],\n \"pocket\": {\n \"binder_chain_id\": \"<string>\",\n \"contacts\": [\n [\n \"<string>\",\n 123\n ]\n ]\n },\n \"distogram_conditioning\": [\n {\n \"chain_id\": \"<string>\"\n }\n ]\n },\n \"include_embeddings\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://biohub.ai/api/v1/fold_all_atom")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"potential_sequence_of_concern\": false,\n \"sequence\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"num_loops\": 20,\n \"num_sampling_steps\": 100,\n \"lm_dropout\": 0.3,\n \"lm_mask_pct\": 0,\n \"msa_max_depth\": 1024,\n \"msa_column_mask_rate\": 0.1,\n \"include_distogram\": false,\n \"include_pae\": false,\n \"include_pair_chains_iptm\": false,\n \"all_atom_input\": {\n \"sequences\": [\n {\n \"sequence\": \"<string>\",\n \"type\": \"protein\",\n \"id\": \"<string>\",\n \"msa\": {\n \"sequences\": [\n \"<string>\"\n ],\n \"deletions\": [\n [\n 123\n ]\n ]\n },\n \"modifications\": [\n {\n \"position\": 123,\n \"ccd\": \"<string>\"\n }\n ]\n }\n ],\n \"covalent_bonds\": [\n {\n \"chain_id1\": \"<string>\",\n \"res_idx1\": 123,\n \"atom_idx1\": 123,\n \"chain_id2\": \"<string>\",\n \"res_idx2\": 123,\n \"atom_idx2\": 123\n }\n ],\n \"pocket\": {\n \"binder_chain_id\": \"<string>\",\n \"contacts\": [\n [\n \"<string>\",\n 123\n ]\n ]\n },\n \"distogram_conditioning\": [\n {\n \"chain_id\": \"<string>\"\n }\n ]\n },\n \"include_embeddings\": false\n}"
response = http.request(request)
puts response.read_body{
"model": "esm3-open-2024-03",
"created": "<string>",
"potential_sequence_of_concern": false,
"warning_messages": [
"<string>"
],
"coordinates": [
[
[
123
]
]
],
"complex": {},
"plddt": [
123
],
"ptm": 123,
"interface_ptm": 123,
"pae": [
[
123
]
],
"pair_chains_iptm": [
[
123
]
],
"output_embedding_sequence": [
[
123
]
],
"output_embedding_pair_pooled": [
[
123
]
],
"residue_index": [
123
],
"entity_id": [
123
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}This operation accepts inputs up to 768 tokens.
For asynchronous predictions, and for inputs up to 4096 tokens, use Batch folding with
endpoint: "fold_all_atom".Authorizations
Body
application/json
Response
Successful Response